Bug 20339

Summary: Unify MARC21 ISBN/ISSN handling in XSL
Product: Koha Reporter: paxed <pasi.kallinen>
Component: Staff ClientAssignee: paxed <pasi.kallinen>
Status: CLOSED FIXED QA Contact: Martin Renvoize <martin.renvoize>
Severity: enhancement    
Priority: P5 - low CC: gmcharlt, martin.renvoize, nick, sandboxes
Version: master   
Hardware: All   
OS: All   
Whiteboard:
Change sponsored?: --- Patch complexity: ---
Bot Control: --- When did the bot last check this:
Who signed the patch off: Text to go in the release notes:
Attachments: Bug 20339: Unify MARC21 ISBN/ISSN handling in XSL
Bug 20339: Unify MARC21 ISBN/ISSN handling in XSL
Bug 20339: Unify MARC21 ISBN/ISSN handling in XSL

Description paxed 2018-03-06 10:20:23 UTC
The code to show the ISBN and ISSN is repeated between the search results and the detail view. Create a function to show the ISBN/ISSN, and call that instead.
Comment 1 paxed 2018-03-06 10:23:52 UTC
Created attachment 72467 [details] [review]
Bug 20339: Unify MARC21 ISBN/ISSN handling in XSL

The code to show the ISBN and ISSN is repeated between the search results
and the detail view. Create a function to show the ISBN/ISSN, and call
that instead.

Test plan:
1) Apply patch
2) Search for any records, check that the ISBN and ISSN are shown
   correctly
3) Go to biblio detail pages, check that the ISBN and ISSN are shown
   correctly
Comment 2 sandboxes@biblibre.com 2018-03-12 13:22:10 UTC
Patch tested with a sandbox, by claude <claude.brayer@cea.fr>
Comment 3 sandboxes@biblibre.com 2018-03-12 13:22:32 UTC
Created attachment 72683 [details] [review]
Bug 20339: Unify MARC21 ISBN/ISSN handling in XSL

The code to show the ISBN and ISSN is repeated between the search results
and the detail view. Create a function to show the ISBN/ISSN, and call
that instead.

Test plan:
1) Apply patch
2) Search for any records, check that the ISBN and ISSN are shown
   correctly
3) Go to biblio detail pages, check that the ISBN and ISSN are shown
   correctly

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: claude <claude.brayer@cea.fr>
Comment 4 Martin Renvoize 2018-06-06 12:02:17 UTC
Created attachment 75847 [details] [review]
Bug 20339: Unify MARC21 ISBN/ISSN handling in XSL

The code to show the ISBN and ISSN is repeated between the search results
and the detail view. Create a function to show the ISBN/ISSN, and call
that instead.

Test plan:
1) Apply patch
2) Search for any records, check that the ISBN and ISSN are shown
   correctly
3) Go to biblio detail pages, check that the ISBN and ISSN are shown
   correctly

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: claude <claude.brayer@cea.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2018-06-06 12:02:52 UTC
Looks solid and works as expected.. always nice to dry out some code a little :)
Comment 6 Nick Clemens 2018-06-22 18:11:55 UTC
Awesome work all!

Pushed to master for 18.11.x
Comment 7 Martin Renvoize 2018-06-27 09:37:50 UTC
Enhancement, not backporting for 18.05.x series.